import React, { Component, useState, useEffect } from 'react';
import echarts from 'echarts/lib/echarts';
import EChart from '../../../components/EchartsTest/EChart';
import request from '../../../utils/request';
import apis from '../../../services/apis';
import moment from 'moment';
import router from 'umi/router';
import { Table, Select, Row, Col, Menu, Dropdown, Button, Icon, message } from 'antd';
// import UserSource from './mmm';

import styles from '../styles.less'

const formatDate = (start, end) => {
  const startDate = moment(start).format('YYYY-MM-DDT00:00:00.000') + 'Z'
  const endDate = moment(end).format('YYYY-MM-DDT23:59:59.999') + 'Z'
  return { startDate, endDate }
}

const UserSource = (props) => {

  const [data, setData] = useState({ records: [] })
  const endDate = new Date()
  const startDate = moment().subtract(7, 'day').toDate()


  useEffect(() => {
    UserSex(formatDate(startDate, endDate))
  }, [])

  function UserSex (params) {
    request({
      ...apis.indexEcharts.userSex,
      params,
    }).then((data) => {

      setData(data)
      // console.log(data, '000000')
    })
  }


  const dataset = (data.selectSexUser) || []
  // console.log(dataset, '000000')
  const options = {
    title: {
      text: '性别比例'
    },
    legend: {},
    color: ['#FF7E48', '#FFC1A4'],
    tooltip: {},
    
    // label: { //  饼图图形上的文本标签

    //   normal: { // normal 是图形在默认状态下的样式
    //     show: true,
    //     position: 'center',
    //     color: 'red',
    //     fontSize: 18,
    //     fontWeight: 'bold',
    //     formatter: '12' // {b}:数据名； {c}：数据值； {d}：百分比，可以自定义显示内容，
    //   }
    // },
    series: {
      type: 'pie',
      name: '性别比例',
      // radius: ['50%', '70%'],
      center: ['50%', '65%'],

        radius: ['40%', '60%'],
      data:
        dataset,




    }
    // series: {
    //   ...this.defaultOpt.series,
    //   data: this.dataset || [],

    // },
  }


  const piestyles = {
    width: '100%',
    height: '400px',

  }


  return (
    <>
      <div>
        {/* <h3>性别比例</h3> */}


        <EChart options={options} style={piestyles} />




      </div>





    </>
  )
}

export default UserSource;