import React, { Component, useState, useEffect } from 'react';
import echarts from 'echarts/lib/echarts';
import EChart from '../../../components/EchartsTest/EChart';
import request from '../../../utils/request';
import apis from '../../../services/apis';
import moment from 'moment';
import router from 'umi/router';
import { Table, Select, Row, Col, Menu, Dropdown, Button, Icon, message } from 'antd';
// import UserSource from './mmm';

import styles from '../styles.less'


const formatDate = (start, end) => {
  const startDate = moment(start).format('YYYY-MM-DDT00:00:00.000') + 'Z'
  const endDate = moment(end).format('YYYY-MM-DDT23:59:59.999') + 'Z'
  return { startDate, endDate }
}

const UserSource = (props) => {
// console.log(props,'---------')
  const [data, setData] = useState({ records: [] })
  //柱图

  useEffect(() => {
   userResource(formatDate(props.startDate, props.endDate))
  }, [props.startDate, props.endDate])

  function userResource (params) {
    request({
      ...apis.indexEcharts.userResource,
      params,
    }).then((data) => {
      // console.log(data , '3333')
      setData(data)
      props.onSuccess(data)
    })
  }

  function toEdit () {
    router.push({
      pathname: '/indexEcharts/userSource',
      // query: {
      //   a: 'b',
      // },
    });
  }

  const dataset = data || {};
  const source = dataset.columnar || [];

  // const source = this.dataset.columnar || [];
  const subtitle = '最近7天';
  const baroptions = {
    title: {
      text: '用户来源',
      subtext: '最近7天',
    },
    // color: ['#286DD0', '#8565CE', '#6A96F8', '#F5749E', '#8B7FE2'],
    xAxis: { type: 'category' },
    legend: {
      left: '20%',
      data: ['所有用户', '注册用户']
      // itemWidth: '24px',
      // itemHeight:'24px',
    },

    tooltip: {},

    yAxis: {},
    series: [
      {
        type: 'bar', name: '所有用户', datasetIndex: 0,
        barWidth: 20,
        itemStyle: {
          normal: {
            barBorderRadius: [20, 20, 0, 0],
            color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
              offset: 0,
              color: '#FFC4A8'
            }, {
              offset: 1,
              color: '#FF7E49'
            }]),
            shadowColor: 'rgba(0, 0, 0, 0.4)',

          }
        }
      },
      {
        type: 'bar',
        name: '注册用户',
        barWidth: 20,
        itemStyle: {
          normal: {
            barBorderRadius: [20, 20, 0, 0],
            color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
              offset: 0,
              color: '#FE939D'
            }, {
              offset: 1,
              color: '#F0293C'
            }]),
            shadowColor: 'rgba(0, 0, 0, 0.4)',

          }
        }



      },
    ],
    dataset: {
      id: 'bar',
      dimensions: ['fromName', 'userCount', 'registered'],
      source: source,
    },

  }

  function handleSelectChange (e) {
    // eslint-disable-next-line no-console
    // console.log(e)
  }





  const barstyle = {
    width: '1000px',
    height: '480px',

  }


  return (
    <>
      <div>
    
        <EChart options={baroptions} style={barstyle} />
 
      </div>


    </>
  )
}

export default UserSource;