import React, { Component, useState, useEffect } from 'react';
import echarts from 'echarts/lib/echarts';
import EChart from '../../../components/EchartsTest/EChart';
import request from '../../../utils/request';
import apis from '../../../services/apis';
import moment from 'moment';
import router from 'umi/router';
import { Table, Select, Row, Col, Menu, Dropdown, Button, Icon, message } from 'antd';
// import UserSource from './mmm';

import styles from '../styles.less'
const formatDate = (start, end) => {
  const startDate = moment(start).format('YYYY-MM-DDT00:00:00.000') + 'Z'
  const endDate = moment(end).format('YYYY-MM-DDT23:59:59.999') + 'Z'
  return { startDate, endDate }
}
const UserSource = (props) => {
  //  console.log(props,'999999999999')
  const [data, setData] = useState({ records: [] })
  //柱图

  useEffect(() => {
    userResource(formatDate(props.startDate, props.endDate))
   }, [props.startDate, props.endDate])
 
   function userResource (params) {
     request({
       ...apis.indexEcharts.userResource,
       params,
     }).then((data) => {
      //  console.log(data , '3333')
       setData(data)
     })
   }

  function toEdit () {
    router.push({
      pathname: '/indexEcharts/userSource',
      // query: {
      //   a: 'b',
      // },
    });
  }

  const dataset = data || {};





  const { person_estate_agent = 0, person_null = 0, person_realty_consultant = 0 } = dataset.pie || {};
  const pieoptions = {
    // xAxis: {},
    color: ['#6B82E6', '#F02D40', '#FF834E'],
    legend: {
      // left: '70%',
      orient: 'vertical',
      x: 'left',
      data: ['来源置业顾问', '来源全民经纪人', '自主进入'],
      
    },
    tooltip: {

    },
    // yAxis: {},

    series: [
      {
        type: 'pie',
        // datasetIndex: 1,
        center: ['50%', '65%'],

        radius: ['40%', '60%'],
       
        // itemStyle: {
        //   normal: {
          
        //     color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
        //       offset: 0,
        //       color: '#FFC4A8'
        //     }, {
        //       offset: 1,
        //       color: '#FF7E49'
        //     }]),
        //   },
  
        // }
     
      },
      // {
        
       
       
      //   itemStyle: {
      //     normal: {
          
      //       color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
      //         offset: 0,
      //         color: '#214318'
      //       }, {
      //         offset: 1,
      //         color: '#543E49'
      //       }]),
      //     },
  
      //   }
     
      // }
      // {

      //   itemStyle: {
      //     normal: {
          
      //       color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
      //         offset: 0,
      //         color: '#FFC4A8'
      //       }, {
      //         offset: 1,
      //         color: '#FF7E49'
      //       }]),
      //     }

      // }


    ],
    dataset: {
      id: 'pie',
      source: [
        {
          form: '来源置业顾问', value: person_realty_consultant,
        },
        { form: '来源全民经纪人', value: person_estate_agent },
        { form: '自主进入', value: person_null },
      ]
    },





  }
  function handleSelectChange (e) {
    // eslint-disable-next-line no-console
    // console.log(e)
  }






  const piestyles = {
    width: '100%',
    height: '400px',

  }


  return (
    <>
      <div>





        <EChart options={pieoptions} style={piestyles} />

      </div>





    </>
  )
}

export default UserSource;